Bug 209339 - Missing support for EAP-FAST
Missing support for EAP-FAST
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: NetworkManager (Show other bugs)
All Linux
high Severity high
: rc
: ---
Assigned To: Dan Williams
Desktop QE
: FutureFeature, Reopened, Triaged
: 190640 (view as bug list)
Depends On: 428181
Blocks: 391501 391521 607248 634813 699280 747123 296411 727267 729766 756082
  Show dependency treegraph
Reported: 2006-10-04 14:30 EDT by Russell Harrison
Modified: 2012-06-20 09:41 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-20 09:41:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Russell Harrison 2006-10-04 14:30:19 EDT
Description of problem:
NetworkManager needs support for EAP-FAST

EAP-FAST is a replacement for the LEAP authentication protocol due to the
security issues with LEAP.  wpa supplicant currently supports EAP-FAST with some
patches to openssl, but NetworkManager doesn't have the configuration dialogs in
place to connect to networks using EAP-FAST.



Comment 1 RHEL Product and Program Management 2006-12-19 13:40:39 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
Comment 4 RHEL Product and Program Management 2007-03-21 19:52:30 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 8 Dan Williams 2007-11-05 10:39:34 EST
I believe we can do this for 5.2
Comment 11 Jay Turner 2007-11-22 06:46:12 EST
QE ack for RHEL5.2.  Sounds like we have the hardware in-house and just need to
sort out configuration.
Comment 13 Dan Williams 2008-01-09 15:22:17 EST
We're going to need OpenSSL changes for EAP-FAST as well since openssl doesn't
fully support RFC 4851...
Comment 17 Dan Williams 2008-02-12 09:06:00 EST
*** Bug 190640 has been marked as a duplicate of this bug. ***
Comment 18 Ryan Daly 2008-06-06 15:26:42 EDT
I am in the same boat with EAP-FAST support.  I was able to get NM to connect to
this EAP-FAST wireless network once, but nothing since then.

I am able to connect to the above network with wpa_supplicant.  Below is the


This configuration was generated through wpa_gui.

I see from the above that RHEL 5.2 was to have support for this type of network.
 I'm currently 5.2 but am still having issues.
Comment 23 RHEL Product and Program Management 2008-07-16 12:08:19 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request. 
Comment 24 Dan Williams 2008-07-16 12:14:33 EDT
Ugh, shouldn't have been automatically closed WONTFIX, sorry.  Still a valid
bug; just postponed a bit.
Comment 27 Bill Nottingham 2008-10-09 16:28:46 EDT

*** This bug has been marked as a duplicate of bug 428181 ***
Comment 31 Jason Roysdon 2008-12-08 16:18:46 EST
Support is missing in F9 and F10 as well for EAP-FAST.
Comment 32 Dan Williams 2008-12-09 12:26:32 EST
(In reply to comment #31)
> Support is missing in F9 and F10 as well for EAP-FAST.

Yeah, but it's not gonna show up in F9 or F10 unless openssl gets updated there too.
Comment 33 Dan Williams 2009-09-11 14:52:16 EDT
openssl now has EAP-FAST support
Comment 35 Jason Roysdon 2009-09-12 00:44:40 EDT
NM still doesn't list EAP-FAST as an option in F11.  I don't have a production EAP-FAST system available, but I'm pretty sure until that option is there, NM is still dead when it comes to EAP-FAST.
Comment 37 Miroslav Vadkerti 2010-06-25 08:16:36 EDT
openssl now supports EAP-FAST, please update NM to support it also
Comment 42 Chris Marcantonio 2011-10-21 11:49:27 EDT
I see this BZ is filed against RHEL6, but I also see previous bugs closed as dupes of this that were filed against Fedora, so I'm not sure if this is the most appropriate place to ask about the status of this in F16 as well.  Can anyone provide any insight into EAP-FAST support in F16?

This BZ looks like it is tentatively flagged for RHEL 6.3, but that doesn't help too much with understanding the when this may land in Fedora.
Comment 49 Dan Williams 2012-01-27 15:34:39 EST
Upstream commits to 0.8.x branch that we need to backport for this:


Comment 50 Jirka Klimes 2012-01-30 12:21:47 EST
And this commit from 0.8.x branch too:
Comment 51 Jirka Klimes 2012-02-23 15:20:10 EST
And also these commits from 0.8.x branch:
Comment 57 errata-xmlrpc 2012-06-20 09:41:45 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.